Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network88.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
88.0.0.0
Broadcast address
89.255.255.255
First usable
88.0.0.1
Last usable
89.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
A (default /8)
As numbers
Hex 58000000 · Integer 1476395008 to 1509949439
Reverse DNS zones
88.in-addr.arpa
89.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01011000.00000000.00000000.0000000088.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network01011000.00000000.00000000.0000000088.0.0.0
Broadcast01011001.11111111.11111111.1111111189.255.255.255
Split into smaller subnets/17

88.0.0.0/7 makes 1,024 subnets of /17; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
188.0.0.0/1788.0.0.1 to 88.0.127.25488.0.127.25532,766
288.0.128.0/1788.0.128.1 to 88.0.255.25488.0.255.25532,766
388.1.0.0/1788.1.0.1 to 88.1.127.25488.1.127.25532,766
488.1.128.0/1788.1.128.1 to 88.1.255.25488.1.255.25532,766
588.2.0.0/1788.2.0.1 to 88.2.127.25488.2.127.25532,766
688.2.128.0/1788.2.128.1 to 88.2.255.25488.2.255.25532,766
788.3.0.0/1788.3.0.1 to 88.3.127.25488.3.127.25532,766
888.3.128.0/1788.3.128.1 to 88.3.255.25488.3.255.25532,766
988.4.0.0/1788.4.0.1 to 88.4.127.25488.4.127.25532,766
1088.4.128.0/1788.4.128.1 to 88.4.255.25488.4.255.25532,766
1188.5.0.0/1788.5.0.1 to 88.5.127.25488.5.127.25532,766
1288.5.128.0/1788.5.128.1 to 88.5.255.25488.5.255.25532,766
1388.6.0.0/1788.6.0.1 to 88.6.127.25488.6.127.25532,766
1488.6.128.0/1788.6.128.1 to 88.6.255.25488.6.255.25532,766
1588.7.0.0/1788.7.0.1 to 88.7.127.25488.7.127.25532,766
1688.7.128.0/1788.7.128.1 to 88.7.255.25488.7.255.25532,766
1788.8.0.0/1788.8.0.1 to 88.8.127.25488.8.127.25532,766
1888.8.128.0/1788.8.128.1 to 88.8.255.25488.8.255.25532,766
1988.9.0.0/1788.9.0.1 to 88.9.127.25488.9.127.25532,766
2088.9.128.0/1788.9.128.1 to 88.9.255.25488.9.255.25532,766
2188.10.0.0/1788.10.0.1 to 88.10.127.25488.10.127.25532,766
2288.10.128.0/1788.10.128.1 to 88.10.255.25488.10.255.25532,766
2388.11.0.0/1788.11.0.1 to 88.11.127.25488.11.127.25532,766
2488.11.128.0/1788.11.128.1 to 88.11.255.25488.11.255.25532,766
2588.12.0.0/1788.12.0.1 to 88.12.127.25488.12.127.25532,766
2688.12.128.0/1788.12.128.1 to 88.12.255.25488.12.255.25532,766
2788.13.0.0/1788.13.0.1 to 88.13.127.25488.13.127.25532,766
2888.13.128.0/1788.13.128.1 to 88.13.255.25488.13.255.25532,766
2988.14.0.0/1788.14.0.1 to 88.14.127.25488.14.127.25532,766
3088.14.128.0/1788.14.128.1 to 88.14.255.25488.14.255.25532,766
3188.15.0.0/1788.15.0.1 to 88.15.127.25488.15.127.25532,766
3288.15.128.0/1788.15.128.1 to 88.15.255.25488.15.255.25532,766
3388.16.0.0/1788.16.0.1 to 88.16.127.25488.16.127.25532,766
3488.16.128.0/1788.16.128.1 to 88.16.255.25488.16.255.25532,766
3588.17.0.0/1788.17.0.1 to 88.17.127.25488.17.127.25532,766
3688.17.128.0/1788.17.128.1 to 88.17.255.25488.17.255.25532,766
3788.18.0.0/1788.18.0.1 to 88.18.127.25488.18.127.25532,766
3888.18.128.0/1788.18.128.1 to 88.18.255.25488.18.255.25532,766
3988.19.0.0/1788.19.0.1 to 88.19.127.25488.19.127.25532,766
4088.19.128.0/1788.19.128.1 to 88.19.255.25488.19.255.25532,766
4188.20.0.0/1788.20.0.1 to 88.20.127.25488.20.127.25532,766
4288.20.128.0/1788.20.128.1 to 88.20.255.25488.20.255.25532,766
4388.21.0.0/1788.21.0.1 to 88.21.127.25488.21.127.25532,766
4488.21.128.0/1788.21.128.1 to 88.21.255.25488.21.255.25532,766
4588.22.0.0/1788.22.0.1 to 88.22.127.25488.22.127.25532,766
4688.22.128.0/1788.22.128.1 to 88.22.255.25488.22.255.25532,766
4788.23.0.0/1788.23.0.1 to 88.23.127.25488.23.127.25532,766
4888.23.128.0/1788.23.128.1 to 88.23.255.25488.23.255.25532,766
4988.24.0.0/1788.24.0.1 to 88.24.127.25488.24.127.25532,766
5088.24.128.0/1788.24.128.1 to 88.24.255.25488.24.255.25532,766
5188.25.0.0/1788.25.0.1 to 88.25.127.25488.25.127.25532,766
5288.25.128.0/1788.25.128.1 to 88.25.255.25488.25.255.25532,766
5388.26.0.0/1788.26.0.1 to 88.26.127.25488.26.127.25532,766
5488.26.128.0/1788.26.128.1 to 88.26.255.25488.26.255.25532,766
5588.27.0.0/1788.27.0.1 to 88.27.127.25488.27.127.25532,766
5688.27.128.0/1788.27.128.1 to 88.27.255.25488.27.255.25532,766
5788.28.0.0/1788.28.0.1 to 88.28.127.25488.28.127.25532,766
5888.28.128.0/1788.28.128.1 to 88.28.255.25488.28.255.25532,766
5988.29.0.0/1788.29.0.1 to 88.29.127.25488.29.127.25532,766
6088.29.128.0/1788.29.128.1 to 88.29.255.25488.29.255.25532,766
6188.30.0.0/1788.30.0.1 to 88.30.127.25488.30.127.25532,766
6288.30.128.0/1788.30.128.1 to 88.30.255.25488.30.255.25532,766
6388.31.0.0/1788.31.0.1 to 88.31.127.25488.31.127.25532,766
6488.31.128.0/1788.31.128.1 to 88.31.255.25488.31.255.25532,766
6588.32.0.0/1788.32.0.1 to 88.32.127.25488.32.127.25532,766
6688.32.128.0/1788.32.128.1 to 88.32.255.25488.32.255.25532,766
6788.33.0.0/1788.33.0.1 to 88.33.127.25488.33.127.25532,766
6888.33.128.0/1788.33.128.1 to 88.33.255.25488.33.255.25532,766
6988.34.0.0/1788.34.0.1 to 88.34.127.25488.34.127.25532,766
7088.34.128.0/1788.34.128.1 to 88.34.255.25488.34.255.25532,766
7188.35.0.0/1788.35.0.1 to 88.35.127.25488.35.127.25532,766
7288.35.128.0/1788.35.128.1 to 88.35.255.25488.35.255.25532,766
7388.36.0.0/1788.36.0.1 to 88.36.127.25488.36.127.25532,766
7488.36.128.0/1788.36.128.1 to 88.36.255.25488.36.255.25532,766
7588.37.0.0/1788.37.0.1 to 88.37.127.25488.37.127.25532,766
7688.37.128.0/1788.37.128.1 to 88.37.255.25488.37.255.25532,766
7788.38.0.0/1788.38.0.1 to 88.38.127.25488.38.127.25532,766
7888.38.128.0/1788.38.128.1 to 88.38.255.25488.38.255.25532,766
7988.39.0.0/1788.39.0.1 to 88.39.127.25488.39.127.25532,766
8088.39.128.0/1788.39.128.1 to 88.39.255.25488.39.255.25532,766
8188.40.0.0/1788.40.0.1 to 88.40.127.25488.40.127.25532,766
8288.40.128.0/1788.40.128.1 to 88.40.255.25488.40.255.25532,766
8388.41.0.0/1788.41.0.1 to 88.41.127.25488.41.127.25532,766
8488.41.128.0/1788.41.128.1 to 88.41.255.25488.41.255.25532,766
8588.42.0.0/1788.42.0.1 to 88.42.127.25488.42.127.25532,766
8688.42.128.0/1788.42.128.1 to 88.42.255.25488.42.255.25532,766
8788.43.0.0/1788.43.0.1 to 88.43.127.25488.43.127.25532,766
8888.43.128.0/1788.43.128.1 to 88.43.255.25488.43.255.25532,766
8988.44.0.0/1788.44.0.1 to 88.44.127.25488.44.127.25532,766
9088.44.128.0/1788.44.128.1 to 88.44.255.25488.44.255.25532,766
9188.45.0.0/1788.45.0.1 to 88.45.127.25488.45.127.25532,766
9288.45.128.0/1788.45.128.1 to 88.45.255.25488.45.255.25532,766
9388.46.0.0/1788.46.0.1 to 88.46.127.25488.46.127.25532,766
9488.46.128.0/1788.46.128.1 to 88.46.255.25488.46.255.25532,766
9588.47.0.0/1788.47.0.1 to 88.47.127.25488.47.127.25532,766
9688.47.128.0/1788.47.128.1 to 88.47.255.25488.47.255.25532,766
9788.48.0.0/1788.48.0.1 to 88.48.127.25488.48.127.25532,766
9888.48.128.0/1788.48.128.1 to 88.48.255.25488.48.255.25532,766
9988.49.0.0/1788.49.0.1 to 88.49.127.25488.49.127.25532,766
10088.49.128.0/1788.49.128.1 to 88.49.255.25488.49.255.25532,766
10188.50.0.0/1788.50.0.1 to 88.50.127.25488.50.127.25532,766
10288.50.128.0/1788.50.128.1 to 88.50.255.25488.50.255.25532,766
10388.51.0.0/1788.51.0.1 to 88.51.127.25488.51.127.25532,766
10488.51.128.0/1788.51.128.1 to 88.51.255.25488.51.255.25532,766
10588.52.0.0/1788.52.0.1 to 88.52.127.25488.52.127.25532,766
10688.52.128.0/1788.52.128.1 to 88.52.255.25488.52.255.25532,766
10788.53.0.0/1788.53.0.1 to 88.53.127.25488.53.127.25532,766
10888.53.128.0/1788.53.128.1 to 88.53.255.25488.53.255.25532,766
10988.54.0.0/1788.54.0.1 to 88.54.127.25488.54.127.25532,766
11088.54.128.0/1788.54.128.1 to 88.54.255.25488.54.255.25532,766
11188.55.0.0/1788.55.0.1 to 88.55.127.25488.55.127.25532,766
11288.55.128.0/1788.55.128.1 to 88.55.255.25488.55.255.25532,766
11388.56.0.0/1788.56.0.1 to 88.56.127.25488.56.127.25532,766
11488.56.128.0/1788.56.128.1 to 88.56.255.25488.56.255.25532,766
11588.57.0.0/1788.57.0.1 to 88.57.127.25488.57.127.25532,766
11688.57.128.0/1788.57.128.1 to 88.57.255.25488.57.255.25532,766
11788.58.0.0/1788.58.0.1 to 88.58.127.25488.58.127.25532,766
11888.58.128.0/1788.58.128.1 to 88.58.255.25488.58.255.25532,766
11988.59.0.0/1788.59.0.1 to 88.59.127.25488.59.127.25532,766
12088.59.128.0/1788.59.128.1 to 88.59.255.25488.59.255.25532,766
12188.60.0.0/1788.60.0.1 to 88.60.127.25488.60.127.25532,766
12288.60.128.0/1788.60.128.1 to 88.60.255.25488.60.255.25532,766
12388.61.0.0/1788.61.0.1 to 88.61.127.25488.61.127.25532,766
12488.61.128.0/1788.61.128.1 to 88.61.255.25488.61.255.25532,766
12588.62.0.0/1788.62.0.1 to 88.62.127.25488.62.127.25532,766
12688.62.128.0/1788.62.128.1 to 88.62.255.25488.62.255.25532,766
12788.63.0.0/1788.63.0.1 to 88.63.127.25488.63.127.25532,766
12888.63.128.0/1788.63.128.1 to 88.63.255.25488.63.255.25532,766
12988.64.0.0/1788.64.0.1 to 88.64.127.25488.64.127.25532,766
13088.64.128.0/1788.64.128.1 to 88.64.255.25488.64.255.25532,766
13188.65.0.0/1788.65.0.1 to 88.65.127.25488.65.127.25532,766
13288.65.128.0/1788.65.128.1 to 88.65.255.25488.65.255.25532,766
13388.66.0.0/1788.66.0.1 to 88.66.127.25488.66.127.25532,766
13488.66.128.0/1788.66.128.1 to 88.66.255.25488.66.255.25532,766
13588.67.0.0/1788.67.0.1 to 88.67.127.25488.67.127.25532,766
13688.67.128.0/1788.67.128.1 to 88.67.255.25488.67.255.25532,766
13788.68.0.0/1788.68.0.1 to 88.68.127.25488.68.127.25532,766
13888.68.128.0/1788.68.128.1 to 88.68.255.25488.68.255.25532,766
13988.69.0.0/1788.69.0.1 to 88.69.127.25488.69.127.25532,766
14088.69.128.0/1788.69.128.1 to 88.69.255.25488.69.255.25532,766
14188.70.0.0/1788.70.0.1 to 88.70.127.25488.70.127.25532,766
14288.70.128.0/1788.70.128.1 to 88.70.255.25488.70.255.25532,766
14388.71.0.0/1788.71.0.1 to 88.71.127.25488.71.127.25532,766
14488.71.128.0/1788.71.128.1 to 88.71.255.25488.71.255.25532,766
14588.72.0.0/1788.72.0.1 to 88.72.127.25488.72.127.25532,766
14688.72.128.0/1788.72.128.1 to 88.72.255.25488.72.255.25532,766
14788.73.0.0/1788.73.0.1 to 88.73.127.25488.73.127.25532,766
14888.73.128.0/1788.73.128.1 to 88.73.255.25488.73.255.25532,766
14988.74.0.0/1788.74.0.1 to 88.74.127.25488.74.127.25532,766
15088.74.128.0/1788.74.128.1 to 88.74.255.25488.74.255.25532,766
15188.75.0.0/1788.75.0.1 to 88.75.127.25488.75.127.25532,766
15288.75.128.0/1788.75.128.1 to 88.75.255.25488.75.255.25532,766
15388.76.0.0/1788.76.0.1 to 88.76.127.25488.76.127.25532,766
15488.76.128.0/1788.76.128.1 to 88.76.255.25488.76.255.25532,766
15588.77.0.0/1788.77.0.1 to 88.77.127.25488.77.127.25532,766
15688.77.128.0/1788.77.128.1 to 88.77.255.25488.77.255.25532,766
15788.78.0.0/1788.78.0.1 to 88.78.127.25488.78.127.25532,766
15888.78.128.0/1788.78.128.1 to 88.78.255.25488.78.255.25532,766
15988.79.0.0/1788.79.0.1 to 88.79.127.25488.79.127.25532,766
16088.79.128.0/1788.79.128.1 to 88.79.255.25488.79.255.25532,766
16188.80.0.0/1788.80.0.1 to 88.80.127.25488.80.127.25532,766
16288.80.128.0/1788.80.128.1 to 88.80.255.25488.80.255.25532,766
16388.81.0.0/1788.81.0.1 to 88.81.127.25488.81.127.25532,766
16488.81.128.0/1788.81.128.1 to 88.81.255.25488.81.255.25532,766
16588.82.0.0/1788.82.0.1 to 88.82.127.25488.82.127.25532,766
16688.82.128.0/1788.82.128.1 to 88.82.255.25488.82.255.25532,766
16788.83.0.0/1788.83.0.1 to 88.83.127.25488.83.127.25532,766
16888.83.128.0/1788.83.128.1 to 88.83.255.25488.83.255.25532,766
16988.84.0.0/1788.84.0.1 to 88.84.127.25488.84.127.25532,766
17088.84.128.0/1788.84.128.1 to 88.84.255.25488.84.255.25532,766
17188.85.0.0/1788.85.0.1 to 88.85.127.25488.85.127.25532,766
17288.85.128.0/1788.85.128.1 to 88.85.255.25488.85.255.25532,766
17388.86.0.0/1788.86.0.1 to 88.86.127.25488.86.127.25532,766
17488.86.128.0/1788.86.128.1 to 88.86.255.25488.86.255.25532,766
17588.87.0.0/1788.87.0.1 to 88.87.127.25488.87.127.25532,766
17688.87.128.0/1788.87.128.1 to 88.87.255.25488.87.255.25532,766
17788.88.0.0/1788.88.0.1 to 88.88.127.25488.88.127.25532,766
17888.88.128.0/1788.88.128.1 to 88.88.255.25488.88.255.25532,766
17988.89.0.0/1788.89.0.1 to 88.89.127.25488.89.127.25532,766
18088.89.128.0/1788.89.128.1 to 88.89.255.25488.89.255.25532,766
18188.90.0.0/1788.90.0.1 to 88.90.127.25488.90.127.25532,766
18288.90.128.0/1788.90.128.1 to 88.90.255.25488.90.255.25532,766
18388.91.0.0/1788.91.0.1 to 88.91.127.25488.91.127.25532,766
18488.91.128.0/1788.91.128.1 to 88.91.255.25488.91.255.25532,766
18588.92.0.0/1788.92.0.1 to 88.92.127.25488.92.127.25532,766
18688.92.128.0/1788.92.128.1 to 88.92.255.25488.92.255.25532,766
18788.93.0.0/1788.93.0.1 to 88.93.127.25488.93.127.25532,766
18888.93.128.0/1788.93.128.1 to 88.93.255.25488.93.255.25532,766
18988.94.0.0/1788.94.0.1 to 88.94.127.25488.94.127.25532,766
19088.94.128.0/1788.94.128.1 to 88.94.255.25488.94.255.25532,766
19188.95.0.0/1788.95.0.1 to 88.95.127.25488.95.127.25532,766
19288.95.128.0/1788.95.128.1 to 88.95.255.25488.95.255.25532,766
19388.96.0.0/1788.96.0.1 to 88.96.127.25488.96.127.25532,766
19488.96.128.0/1788.96.128.1 to 88.96.255.25488.96.255.25532,766
19588.97.0.0/1788.97.0.1 to 88.97.127.25488.97.127.25532,766
19688.97.128.0/1788.97.128.1 to 88.97.255.25488.97.255.25532,766
19788.98.0.0/1788.98.0.1 to 88.98.127.25488.98.127.25532,766
19888.98.128.0/1788.98.128.1 to 88.98.255.25488.98.255.25532,766
19988.99.0.0/1788.99.0.1 to 88.99.127.25488.99.127.25532,766
20088.99.128.0/1788.99.128.1 to 88.99.255.25488.99.255.25532,766
20188.100.0.0/1788.100.0.1 to 88.100.127.25488.100.127.25532,766
20288.100.128.0/1788.100.128.1 to 88.100.255.25488.100.255.25532,766
20388.101.0.0/1788.101.0.1 to 88.101.127.25488.101.127.25532,766
20488.101.128.0/1788.101.128.1 to 88.101.255.25488.101.255.25532,766
20588.102.0.0/1788.102.0.1 to 88.102.127.25488.102.127.25532,766
20688.102.128.0/1788.102.128.1 to 88.102.255.25488.102.255.25532,766
20788.103.0.0/1788.103.0.1 to 88.103.127.25488.103.127.25532,766
20888.103.128.0/1788.103.128.1 to 88.103.255.25488.103.255.25532,766
20988.104.0.0/1788.104.0.1 to 88.104.127.25488.104.127.25532,766
21088.104.128.0/1788.104.128.1 to 88.104.255.25488.104.255.25532,766
21188.105.0.0/1788.105.0.1 to 88.105.127.25488.105.127.25532,766
21288.105.128.0/1788.105.128.1 to 88.105.255.25488.105.255.25532,766
21388.106.0.0/1788.106.0.1 to 88.106.127.25488.106.127.25532,766
21488.106.128.0/1788.106.128.1 to 88.106.255.25488.106.255.25532,766
21588.107.0.0/1788.107.0.1 to 88.107.127.25488.107.127.25532,766
21688.107.128.0/1788.107.128.1 to 88.107.255.25488.107.255.25532,766
21788.108.0.0/1788.108.0.1 to 88.108.127.25488.108.127.25532,766
21888.108.128.0/1788.108.128.1 to 88.108.255.25488.108.255.25532,766
21988.109.0.0/1788.109.0.1 to 88.109.127.25488.109.127.25532,766
22088.109.128.0/1788.109.128.1 to 88.109.255.25488.109.255.25532,766
22188.110.0.0/1788.110.0.1 to 88.110.127.25488.110.127.25532,766
22288.110.128.0/1788.110.128.1 to 88.110.255.25488.110.255.25532,766
22388.111.0.0/1788.111.0.1 to 88.111.127.25488.111.127.25532,766
22488.111.128.0/1788.111.128.1 to 88.111.255.25488.111.255.25532,766
22588.112.0.0/1788.112.0.1 to 88.112.127.25488.112.127.25532,766
22688.112.128.0/1788.112.128.1 to 88.112.255.25488.112.255.25532,766
22788.113.0.0/1788.113.0.1 to 88.113.127.25488.113.127.25532,766
22888.113.128.0/1788.113.128.1 to 88.113.255.25488.113.255.25532,766
22988.114.0.0/1788.114.0.1 to 88.114.127.25488.114.127.25532,766
23088.114.128.0/1788.114.128.1 to 88.114.255.25488.114.255.25532,766
23188.115.0.0/1788.115.0.1 to 88.115.127.25488.115.127.25532,766
23288.115.128.0/1788.115.128.1 to 88.115.255.25488.115.255.25532,766
23388.116.0.0/1788.116.0.1 to 88.116.127.25488.116.127.25532,766
23488.116.128.0/1788.116.128.1 to 88.116.255.25488.116.255.25532,766
23588.117.0.0/1788.117.0.1 to 88.117.127.25488.117.127.25532,766
23688.117.128.0/1788.117.128.1 to 88.117.255.25488.117.255.25532,766
23788.118.0.0/1788.118.0.1 to 88.118.127.25488.118.127.25532,766
23888.118.128.0/1788.118.128.1 to 88.118.255.25488.118.255.25532,766
23988.119.0.0/1788.119.0.1 to 88.119.127.25488.119.127.25532,766
24088.119.128.0/1788.119.128.1 to 88.119.255.25488.119.255.25532,766
24188.120.0.0/1788.120.0.1 to 88.120.127.25488.120.127.25532,766
24288.120.128.0/1788.120.128.1 to 88.120.255.25488.120.255.25532,766
24388.121.0.0/1788.121.0.1 to 88.121.127.25488.121.127.25532,766
24488.121.128.0/1788.121.128.1 to 88.121.255.25488.121.255.25532,766
24588.122.0.0/1788.122.0.1 to 88.122.127.25488.122.127.25532,766
24688.122.128.0/1788.122.128.1 to 88.122.255.25488.122.255.25532,766
24788.123.0.0/1788.123.0.1 to 88.123.127.25488.123.127.25532,766
24888.123.128.0/1788.123.128.1 to 88.123.255.25488.123.255.25532,766
24988.124.0.0/1788.124.0.1 to 88.124.127.25488.124.127.25532,766
25088.124.128.0/1788.124.128.1 to 88.124.255.25488.124.255.25532,766
25188.125.0.0/1788.125.0.1 to 88.125.127.25488.125.127.25532,766
25288.125.128.0/1788.125.128.1 to 88.125.255.25488.125.255.25532,766
25388.126.0.0/1788.126.0.1 to 88.126.127.25488.126.127.25532,766
25488.126.128.0/1788.126.128.1 to 88.126.255.25488.126.255.25532,766
25588.127.0.0/1788.127.0.1 to 88.127.127.25488.127.127.25532,766
25688.127.128.0/1788.127.128.1 to 88.127.255.25488.127.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses